{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [
      (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "sd_mod" "sr_mod" ];
  boot.initrd.kernelModules = [ "dm-snapshot" ];

  boot.initrd.luks.devices = {
    crypted = {
      device = "/dev/disk/by-uuid/c24c9fba-fa0b-41a2-87c1-75edc7b3f64d";
      preLVM = true;
    };
  };

  fileSystems."/" =
    {
      device = "/dev/disk/by-uuid/9c6e1dc3-a442-431d-8cf4-6eaf1e45c296";
      fsType = "ext4";
    };

  fileSystems."/boot" =
    {
      device = "/dev/disk/by-uuid/3B69-8F97";
      fsType = "vfat";
    };

  fileSystems."/home" =
    {
      device = "/dev/disk/by-uuid/6a44edab-e602-40e9-85c4-cb8517862992";
      fsType = "ext4";
    };

  fileSystems."/var/lib/docker" =
    {
      device = "/dev/disk/by-uuid/1f8dae67-1640-4688-ac86-b0e6f5095d6e";
      fsType = "ext4";
    };

  swapDevices =
    [{ device = "/dev/disk/by-uuid/b90199d6-05e8-4994-bf9d-7b07f10d583e"; }];

  networking.useDHCP = lib.mkDefault true;
}
