{ config, lib, pkgs, user, ... }:

{
  services.kanshi = {
    enable = true;

    profiles = {
      undocked = {
        outputs = [
          {
            criteria = "eDP-1";
            scale = 1.3;
            status = "enable";
          }
        ];
      };

      home_office_left = {
        outputs = [
          {
            criteria = "Samsung Electric Company U28E590 HTPJ404252";
            scale = 1.5;
            status = "enable";
            position = "0,526";
          }
          {
            criteria = "Samsung Electric Company U28E590 HTPJ300612";
            scale = 1.5;
            status = "enable";
            position = "2560,0";
            transform = "270";
          }
          {
            criteria = "eDP-1";
            status = "disable";
          }
        ];
        exec = ''
          exec swaymsg workspace 0, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'
          exec swaymsg workspace 8, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'
          exec swaymsg workspace 6, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'
          exec swaymsg workspace 4, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'
          exec swaymsg workspace 2, move workspace to output '"Samsung Electric Company U28E590 HTPJ300612"'

          exec swaymsg workspace 9, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
          exec swaymsg workspace 7, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
          exec swaymsg workspace 5, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
          exec swaymsg workspace 3, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
          exec swaymsg workspace 1, move workspace to output '"Samsung Electric Company U28E590 HTPJ404252"'
        '';
      };

      home_office_right = {
        outputs = [
          {
            criteria = "Samsung Electric Company SMS24A450 H4MCA12730";
            scale = 1.0;
            status = "enable";
            position = "0,0";
          }
          {
            criteria = "Samsung Electric Company SMS24A450 H4MCA12738";
            scale = 1.0;
            status = "enable";
            position = "1920,0";
          }
          {
            criteria = "eDP-1";
            status = "disable";
          }
        ];
        exec = ''
          exec swaymsg workspace 0, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12738"'
          exec swaymsg workspace 8, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12738"'
          exec swaymsg workspace 6, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12738"'
          exec swaymsg workspace 4, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12738"'
          exec swaymsg workspace 2, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12738"'

          exec swaymsg workspace 9, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12730"'
          exec swaymsg workspace 7, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12730"'
          exec swaymsg workspace 5, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12730"'
          exec swaymsg workspace 3, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12730"'
          exec swaymsg workspace 1, move workspace to output '"Samsung Electric Company SMS24A450 H4MCA12730"'
        '';
      };
    };
  };
}
